A valid request URL is required to generate request examples{
"sysidUserImage": 12345,
"name": "...",
"width": 12345,
"height": 12345,
"description": "...",
"defaultImage": true,
"displayOrder": 12345,
"thumbnailSource": "...",
"imageSource": "..."
}Post usersprofilesimages
Uploads an Image file for the User identified by System ID. Images are interpreted into User Image values. A valid image may be a PNG, JPG, TIFF, BMP or other valid image format.
The requesting User must have the following rights to perform this task:
Note: The user must either be the SystemAdmin, or the user’s HomeAccount must match the SYSID_Account of the Resource.
This operation requires an application/octet-stream HTTP attachment with appropriate Content-Disposition headers.
This operation may include an OPTIONAL query parameter sysidUser=# . If no query parameter is provided, the operation adds the image to the calling authenticated User’s profile.
This operation returns a User Image value with the URL of the image hosted within the AgilQuest CDN.
A valid request URL is required to generate request examples{
"sysidUserImage": 12345,
"name": "...",
"width": 12345,
"height": 12345,
"description": "...",
"defaultImage": true,
"displayOrder": 12345,
"thumbnailSource": "...",
"imageSource": "..."
}Query Parameters
: Integer ID of the User to update with an image
Body
: MultipartFormDataInput value with the image file information
Uploads an Image file for the User identified by System ID. Images are interpreted into User Image values. A valid image may be a PNG, JPG, TIFF, BMP or other valid image format.
The requesting User must have the following rights to perform this task:
Note: The user must either be the SystemAdmin, or the user's HomeAccount must match the SYSID_Account of the Resource.
This operation requires an application/octet-stream HTTP attachment with appropriate Content-Disposition headers.
This operation may include an OPTIONAL query parameter sysidUser=# . If no query parameter is provided, the operation adds the image to the calling authenticated User's profile.
This operation returns a User Image value with the URL of the image hosted within the AgilQuest CDN.

